View Issue Details

IDProjectCategoryView StatusLast Update
0003088Kali Linux[All Projects] Kali Package Bugpublic2016-02-21 14:10
Reporterasg29 Assigned Torhertzog  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionno change required 
Product Version2016.1 
Target VersionFixed in Version 
Summary0003088: zip2john crashes, lib not found
Descriptionzip2john crashes with the error:
/usr/share/metasploit-framework/data/john/run.linux.x64.mmx/zip2john: error while loading shared libraries: libcrypto.so.1.0.0: cannot open shared object file: No such file or directory
Steps To Reproduce0.) fresh installation of latest Kali x64

1.a) try to run zip2john via johnny
1.b) try to run zip2john directly: /usr/share/metasploit-framework/data/john/run.linux.x64.mmx/zip2john
Additional InformationA search gives, that libcrypto.so.1.0.2 is installed. So I set a symlink „libcrypto.so.1.0.0“ -> „libcrypto.so.1.0.2“. The result is that now libssl.so.1.0.0 is missing. Doing the same as for the crypto lib and it seems to solve the problem. Of course this could only be a workaround...

Activities

rhertzog

2016-02-21 14:10

administrator   ~0004747

I'm afraid but you are not running the latest version of Kali Rolling. The current metasploit-framework (4.11.8-0kali1) does not contain john anymore and rely on the system wide john.

When you file a bug report please indicate clearly the version of Kali and of the affected packages...

Issue History

Date Modified Username Field Change
2016-02-21 13:30 asg29 New Issue
2016-02-21 14:10 rhertzog Note Added: 0004747
2016-02-21 14:10 rhertzog Status new => closed
2016-02-21 14:10 rhertzog Assigned To => rhertzog
2016-02-21 14:10 rhertzog Resolution open => no change required